import _inheritsLoose from "../../inheritsLoose";
import Dropdown from '../dropdown/dropdown';

var Tooltip =
/*#__PURE__*/
function (_Dropdown) {
  _inheritsLoose(Tooltip, _Dropdown);

  function Tooltip() {
    return _Dropdown.apply(this, arguments) || this;
  }

  var _proto = Tooltip.prototype;

  _proto.hide = function hide(fn, e, immediately) {
    if (e && this.get('always')) return;

    _Dropdown.prototype.hide.call(this, fn, e, immediately);
  };

  return Tooltip;
}(Dropdown);

export { Tooltip as default };